<?php
/**
 * File for class WsGPAppStructAnagrafica
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructAnagrafica originally named anagrafica
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructAnagrafica extends WsGPAppWsdlClass
{
    /**
     * The codUnivoco
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $codUnivoco;
    /**
     * The ragioneSociale
     * Meta informations extracted from the WSDL
     * - maxLength : 70
     * - minLength : 1
     * @var string
     */
    public $ragioneSociale;
    /**
     * The indirizzo
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 70
     * - minLength : 1
     * @var string
     */
    public $indirizzo;
    /**
     * The civico
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 16
     * - minLength : 1
     * @var string
     */
    public $civico;
    /**
     * The cap
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 16
     * - minLength : 1
     * @var string
     */
    public $cap;
    /**
     * The localita
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $localita;
    /**
     * The provincia
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $provincia;
    /**
     * The nazione
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - pattern : [A-Z]{2,2}
     * @var string
     */
    public $nazione;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 256
     * - pattern : [A-Za-z0-9_]+([\-\+\.'][A-Za-z0-9_]+)*@[A-Za-z0-9_]+([\-\.][A-Za-z0-9_]+)*\.[A-Za-z0-9_]+([\-\.][A-Za-z0-9_]+)*
     * @var string
     */
    public $email;
    /**
     * The telefono
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $telefono;
    /**
     * The cellulare
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $cellulare;
    /**
     * The fax
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $fax;
    /**
     * Constructor method for anagrafica
     * @see parent::__construct()
     * @param string $_codUnivoco
     * @param string $_ragioneSociale
     * @param string $_indirizzo
     * @param string $_civico
     * @param string $_cap
     * @param string $_localita
     * @param string $_provincia
     * @param string $_nazione
     * @param string $_email
     * @param string $_telefono
     * @param string $_cellulare
     * @param string $_fax
     * @return WsGPAppStructAnagrafica
     */
    public function __construct($_codUnivoco = NULL,$_ragioneSociale = NULL,$_indirizzo = NULL,$_civico = NULL,$_cap = NULL,$_localita = NULL,$_provincia = NULL,$_nazione = NULL,$_email = NULL,$_telefono = NULL,$_cellulare = NULL,$_fax = NULL)
    {
        parent::__construct(array('codUnivoco'=>$_codUnivoco,'ragioneSociale'=>$_ragioneSociale,'indirizzo'=>$_indirizzo,'civico'=>$_civico,'cap'=>$_cap,'localita'=>$_localita,'provincia'=>$_provincia,'nazione'=>$_nazione,'email'=>$_email,'telefono'=>$_telefono,'cellulare'=>$_cellulare,'fax'=>$_fax),false);
    }
    /**
     * Get codUnivoco value
     * @return string|null
     */
    public function getCodUnivoco()
    {
        return $this->codUnivoco;
    }
    /**
     * Set codUnivoco value
     * @param string $_codUnivoco the codUnivoco
     * @return string
     */
    public function setCodUnivoco($_codUnivoco)
    {
        return ($this->codUnivoco = $_codUnivoco);
    }
    /**
     * Get ragioneSociale value
     * @return string|null
     */
    public function getRagioneSociale()
    {
        return $this->ragioneSociale;
    }
    /**
     * Set ragioneSociale value
     * @param string $_ragioneSociale the ragioneSociale
     * @return string
     */
    public function setRagioneSociale($_ragioneSociale)
    {
        return ($this->ragioneSociale = $_ragioneSociale);
    }
    /**
     * Get indirizzo value
     * @return string|null
     */
    public function getIndirizzo()
    {
        return $this->indirizzo;
    }
    /**
     * Set indirizzo value
     * @param string $_indirizzo the indirizzo
     * @return string
     */
    public function setIndirizzo($_indirizzo)
    {
        return ($this->indirizzo = $_indirizzo);
    }
    /**
     * Get civico value
     * @return string|null
     */
    public function getCivico()
    {
        return $this->civico;
    }
    /**
     * Set civico value
     * @param string $_civico the civico
     * @return string
     */
    public function setCivico($_civico)
    {
        return ($this->civico = $_civico);
    }
    /**
     * Get cap value
     * @return string|null
     */
    public function getCap()
    {
        return $this->cap;
    }
    /**
     * Set cap value
     * @param string $_cap the cap
     * @return string
     */
    public function setCap($_cap)
    {
        return ($this->cap = $_cap);
    }
    /**
     * Get localita value
     * @return string|null
     */
    public function getLocalita()
    {
        return $this->localita;
    }
    /**
     * Set localita value
     * @param string $_localita the localita
     * @return string
     */
    public function setLocalita($_localita)
    {
        return ($this->localita = $_localita);
    }
    /**
     * Get provincia value
     * @return string|null
     */
    public function getProvincia()
    {
        return $this->provincia;
    }
    /**
     * Set provincia value
     * @param string $_provincia the provincia
     * @return string
     */
    public function setProvincia($_provincia)
    {
        return ($this->provincia = $_provincia);
    }
    /**
     * Get nazione value
     * @return string|null
     */
    public function getNazione()
    {
        return $this->nazione;
    }
    /**
     * Set nazione value
     * @param string $_nazione the nazione
     * @return string
     */
    public function setNazione($_nazione)
    {
        return ($this->nazione = $_nazione);
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $_email the email
     * @return string
     */
    public function setEmail($_email)
    {
        return ($this->email = $_email);
    }
    /**
     * Get telefono value
     * @return string|null
     */
    public function getTelefono()
    {
        return $this->telefono;
    }
    /**
     * Set telefono value
     * @param string $_telefono the telefono
     * @return string
     */
    public function setTelefono($_telefono)
    {
        return ($this->telefono = $_telefono);
    }
    /**
     * Get cellulare value
     * @return string|null
     */
    public function getCellulare()
    {
        return $this->cellulare;
    }
    /**
     * Set cellulare value
     * @param string $_cellulare the cellulare
     * @return string
     */
    public function setCellulare($_cellulare)
    {
        return ($this->cellulare = $_cellulare);
    }
    /**
     * Get fax value
     * @return string|null
     */
    public function getFax()
    {
        return $this->fax;
    }
    /**
     * Set fax value
     * @param string $_fax the fax
     * @return string
     */
    public function setFax($_fax)
    {
        return ($this->fax = $_fax);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructAnagrafica
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
