<?php
/**
 * File for class WsGPAppStructPagamento
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructPagamento originally named pagamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructPagamento extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - documentation : Presente dalla versione 2.2
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codSingoloVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codSingoloVersamentoEnte;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - documentation : Presente dalla versione 2.2
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - documentation : Presente dalla versione 2.2
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * The importoRendicontato
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoRendicontato;
    /**
     * The iur
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iur;
    /**
     * The dataRendicontazione
     * @var dateTime
     */
    public $dataRendicontazione;
    /**
     * The esitoRendicontazione
     * @var WsGPAppEnumTipoRendicontazione
     */
    public $esitoRendicontazione;
    /**
     * The importoPagato
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoPagato;
    /**
     * The dataPagamento
     * @var date
     */
    public $dataPagamento;
    /**
     * The dataAcquisizione
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var date
     */
    public $dataAcquisizione;
    /**
     * The commissioniPsp
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $commissioniPsp;
    /**
     * The allegato
     * @var WsGPAppStructAllegato
     */
    public $allegato;
    /**
     * The dataAcquisizioneRevoca
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var date
     */
    public $dataAcquisizioneRevoca;
    /**
     * The causaleRevoca
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $causaleRevoca;
    /**
     * The datiRevoca
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $datiRevoca;
    /**
     * The importoRevocato
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoRevocato;
    /**
     * The esitoRevoca
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $esitoRevoca;
    /**
     * The datiEsitoRevoca
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $datiEsitoRevoca;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * Constructor method for pagamento
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codSingoloVersamentoEnte
     * @param string $_codDominio
     * @param string $_iuv
     * @param decimal $_importoRendicontato
     * @param string $_iur
     * @param dateTime $_dataRendicontazione
     * @param WsGPAppEnumTipoRendicontazione $_esitoRendicontazione
     * @param decimal $_importoPagato
     * @param date $_dataPagamento
     * @param date $_dataAcquisizione
     * @param decimal $_commissioniPsp
     * @param WsGPAppStructAllegato $_allegato
     * @param date $_dataAcquisizioneRevoca
     * @param string $_causaleRevoca
     * @param string $_datiRevoca
     * @param decimal $_importoRevocato
     * @param string $_esitoRevoca
     * @param string $_datiEsitoRevoca
     * @param string $_codVersamentoEnte
     * @return WsGPAppStructPagamento
     */
    public function __construct($_codApplicazione = NULL,$_codSingoloVersamentoEnte = NULL,$_codDominio = NULL,$_iuv = NULL,$_importoRendicontato = NULL,$_iur = NULL,$_dataRendicontazione = NULL,$_esitoRendicontazione = NULL,$_importoPagato = NULL,$_dataPagamento = NULL,$_dataAcquisizione = NULL,$_commissioniPsp = NULL,$_allegato = NULL,$_dataAcquisizioneRevoca = NULL,$_causaleRevoca = NULL,$_datiRevoca = NULL,$_importoRevocato = NULL,$_esitoRevoca = NULL,$_datiEsitoRevoca = NULL,$_codVersamentoEnte = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codSingoloVersamentoEnte'=>$_codSingoloVersamentoEnte,'codDominio'=>$_codDominio,'iuv'=>$_iuv,'importoRendicontato'=>$_importoRendicontato,'iur'=>$_iur,'dataRendicontazione'=>$_dataRendicontazione,'esitoRendicontazione'=>$_esitoRendicontazione,'importoPagato'=>$_importoPagato,'dataPagamento'=>$_dataPagamento,'dataAcquisizione'=>$_dataAcquisizione,'commissioniPsp'=>$_commissioniPsp,'allegato'=>$_allegato,'dataAcquisizioneRevoca'=>$_dataAcquisizioneRevoca,'causaleRevoca'=>$_causaleRevoca,'datiRevoca'=>$_datiRevoca,'importoRevocato'=>$_importoRevocato,'esitoRevoca'=>$_esitoRevoca,'datiEsitoRevoca'=>$_datiEsitoRevoca,'codVersamentoEnte'=>$_codVersamentoEnte),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codSingoloVersamentoEnte value
     * @return string|null
     */
    public function getCodSingoloVersamentoEnte()
    {
        return $this->codSingoloVersamentoEnte;
    }
    /**
     * Set codSingoloVersamentoEnte value
     * @param string $_codSingoloVersamentoEnte the codSingoloVersamentoEnte
     * @return string
     */
    public function setCodSingoloVersamentoEnte($_codSingoloVersamentoEnte)
    {
        return ($this->codSingoloVersamentoEnte = $_codSingoloVersamentoEnte);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Get importoRendicontato value
     * @return decimal|null
     */
    public function getImportoRendicontato()
    {
        return $this->importoRendicontato;
    }
    /**
     * Set importoRendicontato value
     * @param decimal $_importoRendicontato the importoRendicontato
     * @return decimal
     */
    public function setImportoRendicontato($_importoRendicontato)
    {
        return ($this->importoRendicontato = $_importoRendicontato);
    }
    /**
     * Get iur value
     * @return string|null
     */
    public function getIur()
    {
        return $this->iur;
    }
    /**
     * Set iur value
     * @param string $_iur the iur
     * @return string
     */
    public function setIur($_iur)
    {
        return ($this->iur = $_iur);
    }
    /**
     * Get dataRendicontazione value
     * @return dateTime|null
     */
    public function getDataRendicontazione()
    {
        return $this->dataRendicontazione;
    }
    /**
     * Set dataRendicontazione value
     * @param dateTime $_dataRendicontazione the dataRendicontazione
     * @return dateTime
     */
    public function setDataRendicontazione($_dataRendicontazione)
    {
        return ($this->dataRendicontazione = $_dataRendicontazione);
    }
    /**
     * Get esitoRendicontazione value
     * @return WsGPAppEnumTipoRendicontazione|null
     */
    public function getEsitoRendicontazione()
    {
        return $this->esitoRendicontazione;
    }
    /**
     * Set esitoRendicontazione value
     * @uses WsGPAppEnumTipoRendicontazione::valueIsValid()
     * @param WsGPAppEnumTipoRendicontazione $_esitoRendicontazione the esitoRendicontazione
     * @return WsGPAppEnumTipoRendicontazione
     */
    public function setEsitoRendicontazione($_esitoRendicontazione)
    {
        if(!WsGPAppEnumTipoRendicontazione::valueIsValid($_esitoRendicontazione))
        {
            return false;
        }
        return ($this->esitoRendicontazione = $_esitoRendicontazione);
    }
    /**
     * Get importoPagato value
     * @return decimal|null
     */
    public function getImportoPagato()
    {
        return $this->importoPagato;
    }
    /**
     * Set importoPagato value
     * @param decimal $_importoPagato the importoPagato
     * @return decimal
     */
    public function setImportoPagato($_importoPagato)
    {
        return ($this->importoPagato = $_importoPagato);
    }
    /**
     * Get dataPagamento value
     * @return date|null
     */
    public function getDataPagamento()
    {
        return $this->dataPagamento;
    }
    /**
     * Set dataPagamento value
     * @param date $_dataPagamento the dataPagamento
     * @return date
     */
    public function setDataPagamento($_dataPagamento)
    {
        return ($this->dataPagamento = $_dataPagamento);
    }
    /**
     * Get dataAcquisizione value
     * @return date|null
     */
    public function getDataAcquisizione()
    {
        return $this->dataAcquisizione;
    }
    /**
     * Set dataAcquisizione value
     * @param date $_dataAcquisizione the dataAcquisizione
     * @return date
     */
    public function setDataAcquisizione($_dataAcquisizione)
    {
        return ($this->dataAcquisizione = $_dataAcquisizione);
    }
    /**
     * Get commissioniPsp value
     * @return decimal|null
     */
    public function getCommissioniPsp()
    {
        return $this->commissioniPsp;
    }
    /**
     * Set commissioniPsp value
     * @param decimal $_commissioniPsp the commissioniPsp
     * @return decimal
     */
    public function setCommissioniPsp($_commissioniPsp)
    {
        return ($this->commissioniPsp = $_commissioniPsp);
    }
    /**
     * Get allegato value
     * @return WsGPAppStructAllegato|null
     */
    public function getAllegato()
    {
        return $this->allegato;
    }
    /**
     * Set allegato value
     * @param WsGPAppStructAllegato $_allegato the allegato
     * @return WsGPAppStructAllegato
     */
    public function setAllegato($_allegato)
    {
        return ($this->allegato = $_allegato);
    }
    /**
     * Get dataAcquisizioneRevoca value
     * @return date|null
     */
    public function getDataAcquisizioneRevoca()
    {
        return $this->dataAcquisizioneRevoca;
    }
    /**
     * Set dataAcquisizioneRevoca value
     * @param date $_dataAcquisizioneRevoca the dataAcquisizioneRevoca
     * @return date
     */
    public function setDataAcquisizioneRevoca($_dataAcquisizioneRevoca)
    {
        return ($this->dataAcquisizioneRevoca = $_dataAcquisizioneRevoca);
    }
    /**
     * Get causaleRevoca value
     * @return string|null
     */
    public function getCausaleRevoca()
    {
        return $this->causaleRevoca;
    }
    /**
     * Set causaleRevoca value
     * @param string $_causaleRevoca the causaleRevoca
     * @return string
     */
    public function setCausaleRevoca($_causaleRevoca)
    {
        return ($this->causaleRevoca = $_causaleRevoca);
    }
    /**
     * Get datiRevoca value
     * @return string|null
     */
    public function getDatiRevoca()
    {
        return $this->datiRevoca;
    }
    /**
     * Set datiRevoca value
     * @param string $_datiRevoca the datiRevoca
     * @return string
     */
    public function setDatiRevoca($_datiRevoca)
    {
        return ($this->datiRevoca = $_datiRevoca);
    }
    /**
     * Get importoRevocato value
     * @return decimal|null
     */
    public function getImportoRevocato()
    {
        return $this->importoRevocato;
    }
    /**
     * Set importoRevocato value
     * @param decimal $_importoRevocato the importoRevocato
     * @return decimal
     */
    public function setImportoRevocato($_importoRevocato)
    {
        return ($this->importoRevocato = $_importoRevocato);
    }
    /**
     * Get esitoRevoca value
     * @return string|null
     */
    public function getEsitoRevoca()
    {
        return $this->esitoRevoca;
    }
    /**
     * Set esitoRevoca value
     * @param string $_esitoRevoca the esitoRevoca
     * @return string
     */
    public function setEsitoRevoca($_esitoRevoca)
    {
        return ($this->esitoRevoca = $_esitoRevoca);
    }
    /**
     * Get datiEsitoRevoca value
     * @return string|null
     */
    public function getDatiEsitoRevoca()
    {
        return $this->datiEsitoRevoca;
    }
    /**
     * Set datiEsitoRevoca value
     * @param string $_datiEsitoRevoca the datiEsitoRevoca
     * @return string
     */
    public function setDatiEsitoRevoca($_datiEsitoRevoca)
    {
        return ($this->datiEsitoRevoca = $_datiEsitoRevoca);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructPagamento
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
