<?php
/**
 * File for class WsGPAppStructRendicontazione
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructRendicontazione originally named rendicontazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructRendicontazione extends WsGPAppWsdlClass
{
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * The iur
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iur;
    /**
     * The importoRendicontato
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - totalDigits : 12
     * @var decimal
     */
    public $importoRendicontato;
    /**
     * The esito
     * @var WsGPAppEnumEsitoRendicontazione
     */
    public $esito;
    /**
     * The data
     * @var dateTime
     */
    public $data;
    /**
     * The stato
     * @var WsGPAppEnumStatoRendicontazione
     */
    public $stato;
    /**
     * The anomalia
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var WsGPAppStructAnomalia
     */
    public $anomalia;
    /**
     * The pagamento
     * @var WsGPAppStructPagamento
     */
    public $pagamento;
    /**
     * Constructor method for rendicontazione
     * @see parent::__construct()
     * @param string $_iuv
     * @param string $_iur
     * @param decimal $_importoRendicontato
     * @param WsGPAppEnumEsitoRendicontazione $_esito
     * @param dateTime $_data
     * @param WsGPAppEnumStatoRendicontazione $_stato
     * @param WsGPAppStructAnomalia $_anomalia
     * @param WsGPAppStructPagamento $_pagamento
     * @return WsGPAppStructRendicontazione
     */
    public function __construct($_iuv = NULL,$_iur = NULL,$_importoRendicontato = NULL,$_esito = NULL,$_data = NULL,$_stato = NULL,$_anomalia = NULL,$_pagamento = NULL)
    {
        parent::__construct(array('iuv'=>$_iuv,'iur'=>$_iur,'importoRendicontato'=>$_importoRendicontato,'esito'=>$_esito,'data'=>$_data,'stato'=>$_stato,'anomalia'=>$_anomalia,'pagamento'=>$_pagamento),false);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Get iur value
     * @return string|null
     */
    public function getIur()
    {
        return $this->iur;
    }
    /**
     * Set iur value
     * @param string $_iur the iur
     * @return string
     */
    public function setIur($_iur)
    {
        return ($this->iur = $_iur);
    }
    /**
     * Get importoRendicontato value
     * @return decimal|null
     */
    public function getImportoRendicontato()
    {
        return $this->importoRendicontato;
    }
    /**
     * Set importoRendicontato value
     * @param decimal $_importoRendicontato the importoRendicontato
     * @return decimal
     */
    public function setImportoRendicontato($_importoRendicontato)
    {
        return ($this->importoRendicontato = $_importoRendicontato);
    }
    /**
     * Get esito value
     * @return WsGPAppEnumEsitoRendicontazione|null
     */
    public function getEsito()
    {
        return $this->esito;
    }
    /**
     * Set esito value
     * @uses WsGPAppEnumEsitoRendicontazione::valueIsValid()
     * @param WsGPAppEnumEsitoRendicontazione $_esito the esito
     * @return WsGPAppEnumEsitoRendicontazione
     */
    public function setEsito($_esito)
    {
        if(!WsGPAppEnumEsitoRendicontazione::valueIsValid($_esito))
        {
            return false;
        }
        return ($this->esito = $_esito);
    }
    /**
     * Get data value
     * @return dateTime|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param dateTime $_data the data
     * @return dateTime
     */
    public function setData($_data)
    {
        return ($this->data = $_data);
    }
    /**
     * Get stato value
     * @return WsGPAppEnumStatoRendicontazione|null
     */
    public function getStato()
    {
        return $this->stato;
    }
    /**
     * Set stato value
     * @uses WsGPAppEnumStatoRendicontazione::valueIsValid()
     * @param WsGPAppEnumStatoRendicontazione $_stato the stato
     * @return WsGPAppEnumStatoRendicontazione
     */
    public function setStato($_stato)
    {
        if(!WsGPAppEnumStatoRendicontazione::valueIsValid($_stato))
        {
            return false;
        }
        return ($this->stato = $_stato);
    }
    /**
     * Get anomalia value
     * @return WsGPAppStructAnomalia|null
     */
    public function getAnomalia()
    {
        return $this->anomalia;
    }
    /**
     * Set anomalia value
     * @param WsGPAppStructAnomalia $_anomalia the anomalia
     * @return WsGPAppStructAnomalia
     */
    public function setAnomalia($_anomalia)
    {
        return ($this->anomalia = $_anomalia);
    }
    /**
     * Get pagamento value
     * @return WsGPAppStructPagamento|null
     */
    public function getPagamento()
    {
        return $this->pagamento;
    }
    /**
     * Set pagamento value
     * @param WsGPAppStructPagamento $_pagamento the pagamento
     * @return WsGPAppStructPagamento
     */
    public function setPagamento($_pagamento)
    {
        return ($this->pagamento = $_pagamento);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructRendicontazione
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
