<?php
/**
 * File for class WsGPAppStructRichiestaStorno
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructRichiestaStorno originally named richiestaStorno
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructRichiestaStorno extends WsGPAppWsdlClass
{
    /**
     * The codRichiesta
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codRichiesta;
    /**
     * The dataRichiesta
     * @var dateTime
     */
    public $dataRichiesta;
    /**
     * The stato
     * @var WsGPAppEnumStatoRevoca
     */
    public $stato;
    /**
     * The descrizioneStato
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $descrizioneStato;
    /**
     * The rr
     * @var base64Binary
     */
    public $rr;
    /**
     * The er
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var base64Binary
     */
    public $er;
    /**
     * The importoStornato
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoStornato;
    /**
     * Constructor method for richiestaStorno
     * @see parent::__construct()
     * @param string $_codRichiesta
     * @param dateTime $_dataRichiesta
     * @param WsGPAppEnumStatoRevoca $_stato
     * @param string $_descrizioneStato
     * @param base64Binary $_rr
     * @param base64Binary $_er
     * @param decimal $_importoStornato
     * @return WsGPAppStructRichiestaStorno
     */
    public function __construct($_codRichiesta = NULL,$_dataRichiesta = NULL,$_stato = NULL,$_descrizioneStato = NULL,$_rr = NULL,$_er = NULL,$_importoStornato = NULL)
    {
        parent::__construct(array('codRichiesta'=>$_codRichiesta,'dataRichiesta'=>$_dataRichiesta,'stato'=>$_stato,'descrizioneStato'=>$_descrizioneStato,'rr'=>$_rr,'er'=>$_er,'importoStornato'=>$_importoStornato),false);
    }
    /**
     * Get codRichiesta value
     * @return string|null
     */
    public function getCodRichiesta()
    {
        return $this->codRichiesta;
    }
    /**
     * Set codRichiesta value
     * @param string $_codRichiesta the codRichiesta
     * @return string
     */
    public function setCodRichiesta($_codRichiesta)
    {
        return ($this->codRichiesta = $_codRichiesta);
    }
    /**
     * Get dataRichiesta value
     * @return dateTime|null
     */
    public function getDataRichiesta()
    {
        return $this->dataRichiesta;
    }
    /**
     * Set dataRichiesta value
     * @param dateTime $_dataRichiesta the dataRichiesta
     * @return dateTime
     */
    public function setDataRichiesta($_dataRichiesta)
    {
        return ($this->dataRichiesta = $_dataRichiesta);
    }
    /**
     * Get stato value
     * @return WsGPAppEnumStatoRevoca|null
     */
    public function getStato()
    {
        return $this->stato;
    }
    /**
     * Set stato value
     * @uses WsGPAppEnumStatoRevoca::valueIsValid()
     * @param WsGPAppEnumStatoRevoca $_stato the stato
     * @return WsGPAppEnumStatoRevoca
     */
    public function setStato($_stato)
    {
        if(!WsGPAppEnumStatoRevoca::valueIsValid($_stato))
        {
            return false;
        }
        return ($this->stato = $_stato);
    }
    /**
     * Get descrizioneStato value
     * @return string|null
     */
    public function getDescrizioneStato()
    {
        return $this->descrizioneStato;
    }
    /**
     * Set descrizioneStato value
     * @param string $_descrizioneStato the descrizioneStato
     * @return string
     */
    public function setDescrizioneStato($_descrizioneStato)
    {
        return ($this->descrizioneStato = $_descrizioneStato);
    }
    /**
     * Get rr value
     * @return base64Binary|null
     */
    public function getRr()
    {
        return $this->rr;
    }
    /**
     * Set rr value
     * @param base64Binary $_rr the rr
     * @return base64Binary
     */
    public function setRr($_rr)
    {
        return ($this->rr = $_rr);
    }
    /**
     * Get er value
     * @return base64Binary|null
     */
    public function getEr()
    {
        return $this->er;
    }
    /**
     * Set er value
     * @param base64Binary $_er the er
     * @return base64Binary
     */
    public function setEr($_er)
    {
        return ($this->er = $_er);
    }
    /**
     * Get importoStornato value
     * @return decimal|null
     */
    public function getImportoStornato()
    {
        return $this->importoStornato;
    }
    /**
     * Set importoStornato value
     * @param decimal $_importoStornato the importoStornato
     * @return decimal
     */
    public function setImportoStornato($_importoStornato)
    {
        return ($this->importoStornato = $_importoStornato);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructRichiestaStorno
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
