<?php
/**
 * File for class WsGPAppStructTransazione
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructTransazione originally named transazione
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructTransazione extends WsGPAppWsdlClass
{
    /**
     * The data
     * Meta informations extracted from the WSDL
     * - documentation : Presente dalla versione 2.2
     * - minOccurs : 0
     * @var date
     */
    public $data;
    /**
     * The modello
     * @var WsGPAppEnumModelloPagamento
     */
    public $modello;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * The ccp
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $ccp;
    /**
     * The canale
     * @var WsGPAppStructCanale
     */
    public $canale;
    /**
     * The stato
     * @var WsGPAppEnumStatoTransazione
     */
    public $stato;
    /**
     * The descrizioneStato
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $descrizioneStato;
    /**
     * The esito
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var WsGPAppEnumEsitoTransazione
     */
    public $esito;
    /**
     * The rpt
     * @var base64Binary
     */
    public $rpt;
    /**
     * The rt
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var base64Binary
     */
    public $rt;
    /**
     * The richiestaStorno
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var WsGPAppStructRichiestaStorno
     */
    public $richiestaStorno;
    /**
     * The pagamento
     * Meta informations extracted from the WSDL
     * - maxOccurs : 5
     * - minOccurs : 0
     * @var WsGPAppStructPagamento
     */
    public $pagamento;
    /**
     * Constructor method for transazione
     * @see parent::__construct()
     * @param date $_data
     * @param WsGPAppEnumModelloPagamento $_modello
     * @param string $_codDominio
     * @param string $_iuv
     * @param string $_ccp
     * @param WsGPAppStructCanale $_canale
     * @param WsGPAppEnumStatoTransazione $_stato
     * @param string $_descrizioneStato
     * @param WsGPAppEnumEsitoTransazione $_esito
     * @param base64Binary $_rpt
     * @param base64Binary $_rt
     * @param WsGPAppStructRichiestaStorno $_richiestaStorno
     * @param WsGPAppStructPagamento $_pagamento
     * @return WsGPAppStructTransazione
     */
    public function __construct($_data = NULL,$_modello = NULL,$_codDominio = NULL,$_iuv = NULL,$_ccp = NULL,$_canale = NULL,$_stato = NULL,$_descrizioneStato = NULL,$_esito = NULL,$_rpt = NULL,$_rt = NULL,$_richiestaStorno = NULL,$_pagamento = NULL)
    {
        parent::__construct(array('data'=>$_data,'modello'=>$_modello,'codDominio'=>$_codDominio,'iuv'=>$_iuv,'ccp'=>$_ccp,'canale'=>$_canale,'stato'=>$_stato,'descrizioneStato'=>$_descrizioneStato,'esito'=>$_esito,'rpt'=>$_rpt,'rt'=>$_rt,'richiestaStorno'=>$_richiestaStorno,'pagamento'=>$_pagamento),false);
    }
    /**
     * Get data value
     * @return date|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param date $_data the data
     * @return date
     */
    public function setData($_data)
    {
        return ($this->data = $_data);
    }
    /**
     * Get modello value
     * @return WsGPAppEnumModelloPagamento|null
     */
    public function getModello()
    {
        return $this->modello;
    }
    /**
     * Set modello value
     * @uses WsGPAppEnumModelloPagamento::valueIsValid()
     * @param WsGPAppEnumModelloPagamento $_modello the modello
     * @return WsGPAppEnumModelloPagamento
     */
    public function setModello($_modello)
    {
        if(!WsGPAppEnumModelloPagamento::valueIsValid($_modello))
        {
            return false;
        }
        return ($this->modello = $_modello);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Get ccp value
     * @return string|null
     */
    public function getCcp()
    {
        return $this->ccp;
    }
    /**
     * Set ccp value
     * @param string $_ccp the ccp
     * @return string
     */
    public function setCcp($_ccp)
    {
        return ($this->ccp = $_ccp);
    }
    /**
     * Get canale value
     * @return WsGPAppStructCanale|null
     */
    public function getCanale()
    {
        return $this->canale;
    }
    /**
     * Set canale value
     * @param WsGPAppStructCanale $_canale the canale
     * @return WsGPAppStructCanale
     */
    public function setCanale($_canale)
    {
        return ($this->canale = $_canale);
    }
    /**
     * Get stato value
     * @return WsGPAppEnumStatoTransazione|null
     */
    public function getStato()
    {
        return $this->stato;
    }
    /**
     * Set stato value
     * @uses WsGPAppEnumStatoTransazione::valueIsValid()
     * @param WsGPAppEnumStatoTransazione $_stato the stato
     * @return WsGPAppEnumStatoTransazione
     */
    public function setStato($_stato)
    {
        if(!WsGPAppEnumStatoTransazione::valueIsValid($_stato))
        {
            return false;
        }
        return ($this->stato = $_stato);
    }
    /**
     * Get descrizioneStato value
     * @return string|null
     */
    public function getDescrizioneStato()
    {
        return $this->descrizioneStato;
    }
    /**
     * Set descrizioneStato value
     * @param string $_descrizioneStato the descrizioneStato
     * @return string
     */
    public function setDescrizioneStato($_descrizioneStato)
    {
        return ($this->descrizioneStato = $_descrizioneStato);
    }
    /**
     * Get esito value
     * @return WsGPAppEnumEsitoTransazione|null
     */
    public function getEsito()
    {
        return $this->esito;
    }
    /**
     * Set esito value
     * @uses WsGPAppEnumEsitoTransazione::valueIsValid()
     * @param WsGPAppEnumEsitoTransazione $_esito the esito
     * @return WsGPAppEnumEsitoTransazione
     */
    public function setEsito($_esito)
    {
        if(!WsGPAppEnumEsitoTransazione::valueIsValid($_esito))
        {
            return false;
        }
        return ($this->esito = $_esito);
    }
    /**
     * Get rpt value
     * @return base64Binary|null
     */
    public function getRpt()
    {
        return $this->rpt;
    }
    /**
     * Set rpt value
     * @param base64Binary $_rpt the rpt
     * @return base64Binary
     */
    public function setRpt($_rpt)
    {
        return ($this->rpt = $_rpt);
    }
    /**
     * Get rt value
     * @return base64Binary|null
     */
    public function getRt()
    {
        return $this->rt;
    }
    /**
     * Set rt value
     * @param base64Binary $_rt the rt
     * @return base64Binary
     */
    public function setRt($_rt)
    {
        return ($this->rt = $_rt);
    }
    /**
     * Get richiestaStorno value
     * @return WsGPAppStructRichiestaStorno|null
     */
    public function getRichiestaStorno()
    {
        return $this->richiestaStorno;
    }
    /**
     * Set richiestaStorno value
     * @param WsGPAppStructRichiestaStorno $_richiestaStorno the richiestaStorno
     * @return WsGPAppStructRichiestaStorno
     */
    public function setRichiestaStorno($_richiestaStorno)
    {
        return ($this->richiestaStorno = $_richiestaStorno);
    }
    /**
     * Get pagamento value
     * @return WsGPAppStructPagamento|null
     */
    public function getPagamento()
    {
        return $this->pagamento;
    }
    /**
     * Set pagamento value
     * @param WsGPAppStructPagamento $_pagamento the pagamento
     * @return WsGPAppStructPagamento
     */
    public function setPagamento($_pagamento)
    {
        return ($this->pagamento = $_pagamento);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructTransazione
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
