<?php
/**
 * File for class WsGPAppStructVersamento
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * This class stands for WsGPAppStructVersamento originally named versamento
 * Meta informations extracted from the WSDL
 * - from schema : var/wsdltophp.com/storage/wsdls/43196-9aaf6f1f36e0d09ead5d313d48809768/wsdl.xml
 * @package WsGPApp
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppStructVersamento extends WsGPAppWsdlClass
{
    /**
     * The codApplicazione
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codApplicazione;
    /**
     * The codVersamentoEnte
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codVersamentoEnte;
    /**
     * The iuv
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $iuv;
    /**
     * The codDominio
     * Meta informations extracted from the WSDL
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDominio;
    /**
     * The codUnitaOperativa
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codUnitaOperativa;
    /**
     * The debitore
     * @var WsGPAppStructAnagrafica
     */
    public $debitore;
    /**
     * The importoTotale
     * Meta informations extracted from the WSDL
     * - fractionDigits : 2
     * - maxInclusive : 99999999.99
     * - minInclusive : 0.00
     * - totalDigits : 12
     * @var decimal
     */
    public $importoTotale;
    /**
     * The dataScadenza
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $dataScadenza;
    /**
     * The aggiornabile
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var boolean
     */
    public $aggiornabile;
    /**
     * The codDebito
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 35
     * - minLength : 1
     * - pattern : [^ ]*
     * @var string
     */
    public $codDebito;
    /**
     * The annoTributario
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $annoTributario;
    /**
     * The bundlekey
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * - maxLength : 256
     * - minLength : 1
     * @var string
     */
    public $bundlekey;
    /**
     * The causale
     * Meta informations extracted from the WSDL
     * - maxLength : 140
     * - minLength : 1
     * @var string
     */
    public $causale;
    /**
     * The spezzoneCausale
     * Meta informations extracted from the WSDL
     * - maxOccurs : 6
     * - maxLength : 35
     * - minLength : 1
     * @var string
     */
    public $spezzoneCausale;
    /**
     * The spezzoneCausaleStrutturata
     * @var WsGPAppStructSpezzoneCausaleStrutturata
     */
    public $spezzoneCausaleStrutturata;
    /**
     * The singoloVersamento
     * @var WsGPAppStructSingoloVersamento
     */
    public $singoloVersamento;
    /**
     * Constructor method for versamento
     * @see parent::__construct()
     * @param string $_codApplicazione
     * @param string $_codVersamentoEnte
     * @param string $_iuv
     * @param string $_codDominio
     * @param string $_codUnitaOperativa
     * @param WsGPAppStructAnagrafica $_debitore
     * @param decimal $_importoTotale
     * @param dateTime $_dataScadenza
     * @param boolean $_aggiornabile
     * @param string $_codDebito
     * @param int $_annoTributario
     * @param string $_bundlekey
     * @param string $_causale
     * @param string $_spezzoneCausale
     * @param WsGPAppStructSpezzoneCausaleStrutturata $_spezzoneCausaleStrutturata
     * @param WsGPAppStructSingoloVersamento $_singoloVersamento
     * @return WsGPAppStructVersamento
     */
    public function __construct($_codApplicazione = NULL,$_codVersamentoEnte = NULL,$_iuv = NULL,$_codDominio = NULL,$_codUnitaOperativa = NULL,$_debitore = NULL,$_importoTotale = NULL,$_dataScadenza = NULL,$_aggiornabile = NULL,$_codDebito = NULL,$_annoTributario = NULL,$_bundlekey = NULL,$_causale = NULL,$_spezzoneCausale = NULL,$_spezzoneCausaleStrutturata = NULL,$_singoloVersamento = NULL)
    {
        parent::__construct(array('codApplicazione'=>$_codApplicazione,'codVersamentoEnte'=>$_codVersamentoEnte,'iuv'=>$_iuv,'codDominio'=>$_codDominio,'codUnitaOperativa'=>$_codUnitaOperativa,'debitore'=>$_debitore,'importoTotale'=>$_importoTotale,'dataScadenza'=>$_dataScadenza,'aggiornabile'=>$_aggiornabile,'codDebito'=>$_codDebito,'annoTributario'=>$_annoTributario,'bundlekey'=>$_bundlekey,'causale'=>$_causale,'spezzoneCausale'=>$_spezzoneCausale,'spezzoneCausaleStrutturata'=>$_spezzoneCausaleStrutturata,'singoloVersamento'=>$_singoloVersamento),false);
    }
    /**
     * Get codApplicazione value
     * @return string|null
     */
    public function getCodApplicazione()
    {
        return $this->codApplicazione;
    }
    /**
     * Set codApplicazione value
     * @param string $_codApplicazione the codApplicazione
     * @return string
     */
    public function setCodApplicazione($_codApplicazione)
    {
        return ($this->codApplicazione = $_codApplicazione);
    }
    /**
     * Get codVersamentoEnte value
     * @return string|null
     */
    public function getCodVersamentoEnte()
    {
        return $this->codVersamentoEnte;
    }
    /**
     * Set codVersamentoEnte value
     * @param string $_codVersamentoEnte the codVersamentoEnte
     * @return string
     */
    public function setCodVersamentoEnte($_codVersamentoEnte)
    {
        return ($this->codVersamentoEnte = $_codVersamentoEnte);
    }
    /**
     * Get iuv value
     * @return string|null
     */
    public function getIuv()
    {
        return $this->iuv;
    }
    /**
     * Set iuv value
     * @param string $_iuv the iuv
     * @return string
     */
    public function setIuv($_iuv)
    {
        return ($this->iuv = $_iuv);
    }
    /**
     * Get codDominio value
     * @return string|null
     */
    public function getCodDominio()
    {
        return $this->codDominio;
    }
    /**
     * Set codDominio value
     * @param string $_codDominio the codDominio
     * @return string
     */
    public function setCodDominio($_codDominio)
    {
        return ($this->codDominio = $_codDominio);
    }
    /**
     * Get codUnitaOperativa value
     * @return string|null
     */
    public function getCodUnitaOperativa()
    {
        return $this->codUnitaOperativa;
    }
    /**
     * Set codUnitaOperativa value
     * @param string $_codUnitaOperativa the codUnitaOperativa
     * @return string
     */
    public function setCodUnitaOperativa($_codUnitaOperativa)
    {
        return ($this->codUnitaOperativa = $_codUnitaOperativa);
    }
    /**
     * Get debitore value
     * @return WsGPAppStructAnagrafica|null
     */
    public function getDebitore()
    {
        return $this->debitore;
    }
    /**
     * Set debitore value
     * @param WsGPAppStructAnagrafica $_debitore the debitore
     * @return WsGPAppStructAnagrafica
     */
    public function setDebitore($_debitore)
    {
        return ($this->debitore = $_debitore);
    }
    /**
     * Get importoTotale value
     * @return decimal|null
     */
    public function getImportoTotale()
    {
        return $this->importoTotale;
    }
    /**
     * Set importoTotale value
     * @param decimal $_importoTotale the importoTotale
     * @return decimal
     */
    public function setImportoTotale($_importoTotale)
    {
        return ($this->importoTotale = $_importoTotale);
    }
    /**
     * Get dataScadenza value
     * @return dateTime|null
     */
    public function getDataScadenza()
    {
        return $this->dataScadenza;
    }
    /**
     * Set dataScadenza value
     * @param dateTime $_dataScadenza the dataScadenza
     * @return dateTime
     */
    public function setDataScadenza($_dataScadenza)
    {
        return ($this->dataScadenza = $_dataScadenza);
    }
    /**
     * Get aggiornabile value
     * @return boolean|null
     */
    public function getAggiornabile()
    {
        return $this->aggiornabile;
    }
    /**
     * Set aggiornabile value
     * @param boolean $_aggiornabile the aggiornabile
     * @return boolean
     */
    public function setAggiornabile($_aggiornabile)
    {
        return ($this->aggiornabile = $_aggiornabile);
    }
    /**
     * Get codDebito value
     * @return string|null
     */
    public function getCodDebito()
    {
        return $this->codDebito;
    }
    /**
     * Set codDebito value
     * @param string $_codDebito the codDebito
     * @return string
     */
    public function setCodDebito($_codDebito)
    {
        return ($this->codDebito = $_codDebito);
    }
    /**
     * Get annoTributario value
     * @return int|null
     */
    public function getAnnoTributario()
    {
        return $this->annoTributario;
    }
    /**
     * Set annoTributario value
     * @param int $_annoTributario the annoTributario
     * @return int
     */
    public function setAnnoTributario($_annoTributario)
    {
        return ($this->annoTributario = $_annoTributario);
    }
    /**
     * Get bundlekey value
     * @return string|null
     */
    public function getBundlekey()
    {
        return $this->bundlekey;
    }
    /**
     * Set bundlekey value
     * @param string $_bundlekey the bundlekey
     * @return string
     */
    public function setBundlekey($_bundlekey)
    {
        return ($this->bundlekey = $_bundlekey);
    }
    /**
     * Get causale value
     * @return string|null
     */
    public function getCausale()
    {
        return $this->causale;
    }
    /**
     * Set causale value
     * @param string $_causale the causale
     * @return string
     */
    public function setCausale($_causale)
    {
        return ($this->causale = $_causale);
    }
    /**
     * Get spezzoneCausale value
     * @return string|null
     */
    public function getSpezzoneCausale()
    {
        return $this->spezzoneCausale;
    }
    /**
     * Set spezzoneCausale value
     * @param string $_spezzoneCausale the spezzoneCausale
     * @return string
     */
    public function setSpezzoneCausale($_spezzoneCausale)
    {
        return ($this->spezzoneCausale = $_spezzoneCausale);
    }
    /**
     * Get spezzoneCausaleStrutturata value
     * @return WsGPAppStructSpezzoneCausaleStrutturata|null
     */
    public function getSpezzoneCausaleStrutturata()
    {
        return $this->spezzoneCausaleStrutturata;
    }
    /**
     * Set spezzoneCausaleStrutturata value
     * @param WsGPAppStructSpezzoneCausaleStrutturata $_spezzoneCausaleStrutturata the spezzoneCausaleStrutturata
     * @return WsGPAppStructSpezzoneCausaleStrutturata
     */
    public function setSpezzoneCausaleStrutturata($_spezzoneCausaleStrutturata)
    {
        return ($this->spezzoneCausaleStrutturata = $_spezzoneCausaleStrutturata);
    }
    /**
     * Get singoloVersamento value
     * @return WsGPAppStructSingoloVersamento|null
     */
    public function getSingoloVersamento()
    {
        return $this->singoloVersamento;
    }
    /**
     * Set singoloVersamento value
     * @param WsGPAppStructSingoloVersamento $_singoloVersamento the singoloVersamento
     * @return WsGPAppStructSingoloVersamento
     */
    public function setSingoloVersamento($_singoloVersamento)
    {
        return ($this->singoloVersamento = $_singoloVersamento);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see WsGPAppWsdlClass::__set_state()
     * @uses WsGPAppWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return WsGPAppStructVersamento
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
