<?php
/**
 * File for the class which returns the class map definition
 * @package WsGPApp
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
/**
 * Class which returns the class map definition by the static method WsGPAppClassMap::classMap()
 * @package WsGPApp
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2017-11-30
 */
class WsGPAppClassMap
{
    /**
     * This method returns the array containing the mapping between WSDL structs and generated classes
     * This array is sent to the SoapClient when calling the WS
     * @return array
     */
    final public static function classMap()
    {
        return array (
  'allegato' => 'WsGPAppStructAllegato',
  'anagrafica' => 'WsGPAppStructAnagrafica',
  'anomalia' => 'WsGPAppStructAnomalia',
  'bolloTelematico' => 'WsGPAppStructBolloTelematico',
  'canale' => 'WsGPAppStructCanale',
  'esitoOperazione' => 'WsGPAppEnumEsitoOperazione',
  'esitoRendicontazione' => 'WsGPAppEnumEsitoRendicontazione',
  'esitoTransazione' => 'WsGPAppEnumEsitoTransazione',
  'esitoVerificaVersamento' => 'WsGPAppEnumEsitoVerificaVersamento',
  'estremiFlussoRendicontazione' => 'WsGPAppStructEstremiFlussoRendicontazione',
  'flussoRendicontazione' => 'WsGPAppStructFlussoRendicontazione',
  'gpAnnullaVersamento' => 'WsGPAppStructGpAnnullaVersamento',
  'gpCaricaIuv' => 'WsGPAppStructGpCaricaIuv',
  'gpCaricaIuvResponse' => 'WsGPAppStructGpCaricaIuvResponse',
  'gpCaricaVersamento' => 'WsGPAppStructGpCaricaVersamento',
  'gpCaricaVersamentoResponse' => 'WsGPAppStructGpCaricaVersamentoResponse',
  'gpChiediFlussoRendicontazione' => 'WsGPAppStructGpChiediFlussoRendicontazione',
  'gpChiediFlussoRendicontazioneResponse' => 'WsGPAppStructGpChiediFlussoRendicontazioneResponse',
  'gpChiediListaFlussiRendicontazione' => 'WsGPAppStructGpChiediListaFlussiRendicontazione',
  'gpChiediListaFlussiRendicontazioneResponse' => 'WsGPAppStructGpChiediListaFlussiRendicontazioneResponse',
  'gpChiediStatoVersamento' => 'WsGPAppStructGpChiediStatoVersamento',
  'gpChiediStatoVersamentoResponse' => 'WsGPAppStructGpChiediStatoVersamentoResponse',
  'gpGeneraIuv' => 'WsGPAppStructGpGeneraIuv',
  'gpGeneraIuvResponse' => 'WsGPAppStructGpGeneraIuvResponse',
  'gpNotificaPagamento' => 'WsGPAppStructGpNotificaPagamento',
  'gpResponse' => 'WsGPAppStructGpResponse',
  'iuvGenerato' => 'WsGPAppStructIuvGenerato',
  'iuvProp' => 'WsGPAppStructIuvProp',
  'iuvRichiesto' => 'WsGPAppStructIuvRichiesto',
  'metaInfo' => 'WsGPAppStructMetaInfo',
  'mittente' => 'WsGPAppEnumMittente',
  'modelloPagamento' => 'WsGPAppEnumModelloPagamento',
  'pagamento' => 'WsGPAppStructPagamento',
  'rendicontazione' => 'WsGPAppStructRendicontazione',
  'richiestaStorno' => 'WsGPAppStructRichiestaStorno',
  'singoloVersamento' => 'WsGPAppStructSingoloVersamento',
  'spezzoneCausaleStrutturata' => 'WsGPAppStructSpezzoneCausaleStrutturata',
  'statoFr' => 'WsGPAppEnumStatoFr',
  'statoRendicontazione' => 'WsGPAppEnumStatoRendicontazione',
  'statoRevoca' => 'WsGPAppEnumStatoRevoca',
  'statoTransazione' => 'WsGPAppEnumStatoTransazione',
  'statoVersamento' => 'WsGPAppEnumStatoVersamento',
  'tipoAllegato' => 'WsGPAppEnumTipoAllegato',
  'tipoAutenticazione' => 'WsGPAppEnumTipoAutenticazione',
  'tipoBollo' => 'WsGPAppEnumTipoBollo',
  'tipoContabilita' => 'WsGPAppEnumTipoContabilita',
  'tipoRendicontazione' => 'WsGPAppEnumTipoRendicontazione',
  'tipoSceltaWisp' => 'WsGPAppEnumTipoSceltaWisp',
  'tipoVersamento' => 'WsGPAppEnumTipoVersamento',
  'transazione' => 'WsGPAppStructTransazione',
  'tributo' => 'WsGPAppStructTributo',
  'versamento' => 'WsGPAppStructVersamento',
  'versamentoKey' => 'WsGPAppStructVersamentoKey',
);
    }
}
